org.apache.poi.hssf.record.chart

## Class SheetPropertiesRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.SheetPropertiesRecord

- All Implemented Interfaces:
    Duplicatable

      public final class SheetPropertiesRecord
      extends StandardRecord

  Describes a chart sheet properties record. SHTPROPS (0x1044)

  (As with all chart related records, documentation is lacking. See `ChartRecord` for more details)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `EMPTY_INTERPOLATED`
    `static byte` | `EMPTY_NOT_PLOTTED`
    `static byte` | `EMPTY_ZERO`
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetPropertiesRecord()`
    `SheetPropertiesRecord(RecordInputStream in)`
    `SheetPropertiesRecord(SheetPropertiesRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SheetPropertiesRecord` | `clone()` Deprecated.
    `SheetPropertiesRecord` | `copy()`
    `protected int` | `getDataSize()`
    `int` | `getEmpty()` Get the empty field for the SheetProperties record.
    `int` | `getFlags()` Get the flags field for the SheetProperties record.
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isAutoPlotArea()` ??
    `boolean` | `isChartTypeManuallyFormatted()` Has the chart type been manually formatted?
    `boolean` | `isDefaultPlotDimensions()` Indicates that the default area dimensions should be used.
    `boolean` | `isDoNotSizeWithWindow()` Do not size the chart when the window changes size
    `boolean` | `isPlotVisibleOnly()` Only show visible cells on the chart.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setAutoPlotArea(boolean value)` Sets the auto plot area field value.
    `void` | `setChartTypeManuallyFormatted(boolean value)` Sets the chart type manually formatted field value.
    `void` | `setDefaultPlotDimensions(boolean value)` Sets the default plot dimensions field value.
    `void` | `setDoNotSizeWithWindow(boolean value)` Sets the do not size with window field value.
    `void` | `setEmpty(byte empty)` Set the empty field for the SheetProperties record.
    `void` | `setPlotVisibleOnly(boolean value)` Sets the plot visible only field value.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### EMPTY_NOT_PLOTTED

          public static final byte EMPTY_NOT_PLOTTED

      See Also:
        Constant Field Values

    - #### EMPTY_ZERO

          public static final byte EMPTY_ZERO

      See Also:
        Constant Field Values

    - #### EMPTY_INTERPOLATED

          public static final byte EMPTY_INTERPOLATED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SheetPropertiesRecord

          public SheetPropertiesRecord()

    - #### SheetPropertiesRecord

          public SheetPropertiesRecord(SheetPropertiesRecord other)

    - #### SheetPropertiesRecord

          public SheetPropertiesRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public SheetPropertiesRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public SheetPropertiesRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getFlags

          public int getFlags()

      Get the flags field for the SheetProperties record.

    - #### getEmpty

          public int getEmpty()

      Get the empty field for the SheetProperties record.
      Returns:
        One of EMPTY_NOT_PLOTTED EMPTY_ZERO EMPTY_INTERPOLATED

    - #### setEmpty

          public void setEmpty(byte empty)

      Set the empty field for the SheetProperties record.
      Parameters:
        `empty` - One of EMPTY_NOT_PLOTTED EMPTY_ZERO EMPTY_INTERPOLATED

    - #### setChartTypeManuallyFormatted

          public void setChartTypeManuallyFormatted(boolean value)

      Sets the chart type manually formatted field value. Has the chart type been manually formatted?

    - #### isChartTypeManuallyFormatted

          public boolean isChartTypeManuallyFormatted()

      Has the chart type been manually formatted?
      Returns:
        the chart type manually formatted field value.

    - #### setPlotVisibleOnly

          public void setPlotVisibleOnly(boolean value)

      Sets the plot visible only field value. Only show visible cells on the chart.

    - #### isPlotVisibleOnly

          public boolean isPlotVisibleOnly()

      Only show visible cells on the chart.
      Returns:
        the plot visible only field value.

    - #### setDoNotSizeWithWindow

          public void setDoNotSizeWithWindow(boolean value)

      Sets the do not size with window field value. Do not size the chart when the window changes size

    - #### isDoNotSizeWithWindow

          public boolean isDoNotSizeWithWindow()

      Do not size the chart when the window changes size
      Returns:
        the do not size with window field value.

    - #### setDefaultPlotDimensions

          public void setDefaultPlotDimensions(boolean value)

      Sets the default plot dimensions field value. Indicates that the default area dimensions should be used.

    - #### isDefaultPlotDimensions

          public boolean isDefaultPlotDimensions()

      Indicates that the default area dimensions should be used.
      Returns:
        the default plot dimensions field value.

    - #### setAutoPlotArea

          public void setAutoPlotArea(boolean value)

      Sets the auto plot area field value. ??

    - #### isAutoPlotArea

          public boolean isAutoPlotArea()

      ??
      Returns:
        the auto plot area field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.